//
//  FreeTar
//  PreferencesController.h
//
//  Copyright (c) 2002 Murray M Johnson
//
//	http://homepage.mac.com/mjsoftware/
//	mjsoftware@mac.com
//
//
//  This file is part of FreeTar version 1.1.
//
//  FreeTar is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  FreeTar is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with FreeTar; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#import <AppKit/AppKit.h>

@class FreeTarPreferences;


@interface PreferencesController : NSWindowController
{
    IBOutlet NSMatrix*		compressRadio;
    IBOutlet NSMatrix*		extensionRadio;
    IBOutlet NSTextField*	extensionText;
    IBOutlet NSMatrix*		locationRadio;
    IBOutlet NSMatrix*		tarPathRadio;
    IBOutlet NSTextField*	tarPathText;
	IBOutlet NSMatrix*		multArchivesRadio;

	FreeTarPreferences*		prefsObj;

	BOOL					needWarnCustomPath;
}

- (id) initWithPrefsObject:(FreeTarPreferences*)inPrefs;

- (IBAction)compressRadioAction:(id)sender;
- (IBAction)extensionRadioAction:(id)sender;
- (IBAction)locationRadioAction:(id)sender;
- (IBAction)revertToDfltsButton:(id)sender;
- (IBAction)tarPathRadioAction:(id)sender;
- (IBAction)multArchivesRadioAction:(id)sender;

- (void) errorCheckTarPath;
- (void) syncTarPath;
- (void) syncExtension;

@end
